Subject: Re: HTTP Experiments: a bit of housekeeping (moving documents to Historic)

From: Alexey Melnikov <[email-masked]>
Date: Fri, 1 Oct 2021 09:51:21 +0100

Hi Mark,

On 30/09/2021 23:55, Mark Nottingham wrote:
> I'm not sure about the following documents, so I think the right thing to do is to leave them alone for now (unless someone else wants to argue to move them to Historic):
>
> - RFC2295: Transparent Content Negotiation in HTTP
> - RFC7486: HTTP Origin-Bound Authentication (HOBA)
> - RFC7804: Salted Challenge Response HTTP Authentication Mechanism
> - RFC8053: HTTP Authentication Extensions for Interactive Clients
> - RFC8120: Mutual Authentication Protocol for HTTP
> - RFC8121: Mutual Authentication Protocol for HTTP: Cryptographic Algorithms Based on the Key Agreement Mechanism 3 (KAM3)

Some of these are implemented/deployed experimentally, so I would leave 
them be.

Best Regards,

Alexey

---

From: Mark Nottingham <[email-masked]>
Date: Mon, 11 Oct 2021 10:53:16 +1100

There hasn't been any pushback on moving any of the first set of six documents listed to Historic status, so Francesca can you please start the process for that?

As I said before, I think the remainder don't need attention at this time.

Cheers,

> On 1 Oct 2021, at 8:55 am, Mark Nottingham <[email-masked]> wrote:
> 
> Hi everyone,
> 
> There are a number of HTTP-related documents in the RFC Series that are Experimental.[1] Experiments should end, and it would be good to reflect their status in the series if the overhead of doing so isn't too high.
> 
> Luckily, the IESG has a relatively lightweight procedure for moving a document to Historic.[2] A quick search[3] gives us a list to work with; I've grouped them into how I think they should be handled below.
> 
> I think the following Experimental RFCs can (and should) be changed to Historic status (with any registered protocol elements being deprecated or obsoleted, as per the registry's conventions):
> 
> - RFC2169: A Trivial Convention for using HTTP in URN Resolution
> - RFC2296: HTTP Remote Variant Selection Algorithm -- RVSA/1.0
> - RFC2310: The Safe Response Header Field
> - RFC2660: The Secure HyperText Transfer Protocol
> - RFC2774: An HTTP Extension Framework
> - RFC8164: Opportunistic Security for HTTP/2
> 
> Finally, I think the following experiments are still running, and so there should be no change in their status:
> 
> - RFC8297: An HTTP Status Code for Indicating Hints
> - RFC8673: HTTP Random Access and Live Content
> - RFC8942: HTTP Client Hints
> 
> What do folks think? If we can get quick agreement on these, we can ask our AD to start the process on these.
> 
> Cheers,
> 
> 1. https://www.rfc-editor.org/rfc/rfc2026.html#section-4.2.1
> 2. https://www.ietf.org/about/groups/iesg/statements/designating-rfcs-historic-2014-07-20/
> 3. https://rfc.fyi/?search=http&level=experimental
> 
> --
> Mark Nottingham   https://www.mnot.net/
> 
> 

--
Mark Nottingham   https://www.mnot.net/